Gracias Gracias:  0
Me Gusta Me Gusta:  0
No me Gusta No me Gusta:  0
Mostrando resultados del 1 al 9 de 9

Tema: Problema al instalar Opensuse leap 42.1 y activar apache2

  1. #1
    Fecha de Ingreso
    18-abril-2018
    Mensajes
    5
    Post Thanks / Like
    Poder de Credibilidad
    0

    SOLUCIONADO: Problema al instalar Opensuse leap 42.1 y activar apache2

    Cordial saludo a la comunidad:

    He instalado la versión de Suse LEAP 42.1 y al pretender activar apache2 sale este mensaje de error:



    Agradezco mucho la ayuda que pueda recibir. He intentado lo mismo con las versiones 42.2 y 42.3 de suse LEAP y produce el mismo error

    Gracias
    Última edición por chaturango; 19-abr-2018 a las 18:35 Razón: Ya fue Solucionado

  2. #2
    Fecha de Ingreso
    19-marzo-2005
    Ubicación
    En un lugar del planeta Tierra
    Mensajes
    17.603
    Post Thanks / Like
    Poder de Credibilidad
    10
    Bienvenido al foro @chaturango, vemos que es tu 1er. mensaje en el foro. Estamos encantados de que te hayas dado de alta, como queremos ayudarte en tu desempeño en el foro tenemos unas normas del foro donde aprenderás cosas útiles como aportar datos, hacer preguntas, como buscar, etc... Es como una guía o navaja suiza para los novatos. Para evitarte futuros problemas en el foro fíjate lo que dice resaltado y en negrita la norma 5 sobre el objetivo primordial del foro y, sobre todo, la norma 7 de escribir claro y nítido para entendernos.

    No se como lo has instalado, vete a la sección de Servidores del foro y verás una guía mía adherida sobre cómo instalar Lamp.

    Como eres nuevo, preséntate en la sección de Presentaciones y si tienes tiempo libre, acuérdate de leer las normas.
    NORMAS A CUMPLIR EN LOS FOROS (Lectura obligatoria) Lo siento, no contesto privados sobre problemas con GNU/Linux.
    Síguenos en TWITTER y en FACEBOOK
    Código:
    Buscador de   Alojamiento      Alojamiento     Otros
     paquetes:    de imágenes:     de ficheros:    buscadores:
    Search        TinyPic          Ifile Wuala     Simple y Facil
    Webpinstant   Paste Suse       SendSpace       TextSnip  Cl1p

  3. #3
    Fecha de Ingreso
    18-abril-2018
    Mensajes
    5
    Post Thanks / Like
    Poder de Credibilidad
    0
    Gracias por su sugerencia. Tengo cierto nivel de conocimientos en Linux y en las anteriores distribuciones de Suse 11.4 , 12, 13 etc, no he tenido ningún problema con la instalación de LAMP. He mirado su guía de como instalar LAMP y pues, es la manera como siempre lo he hecho.

    En la distribución Suse LEAP 42.1, instale LAMP desde la instalación del paquete de distribución, escogiendo en la sección de "Software", el paquete LAMP como siempre lo he hecho.

    Mil gracias por su colaboración, pero he recurrido a esta instancia, luego de haber trasegado por todo google buscando la solución y hasta ahora no ha sido posible después de 1 mes de búsqueda.

    Mil gracias.

  4. #4
    Fecha de Ingreso
    08-abril-2010
    Ubicación
    /HOME
    Mensajes
    3.817
    Post Thanks / Like
    Poder de Credibilidad
    15
    Hola!

    Leap 42.1 está sin soporte, por lo que lo mejor es olvidar esa instalación. Lo mejor es utilizar Leap 42.3 que es más reciente aunque a finales de mayo se publicará Leap 15.

    Recuerdo haber instalado Apache para NextCloud en mi Raspberry Pi y no tener problemas significativos.

    Una vez instalado:
    Código:
    # zypper in apache2
    Arrancado el servicio
    Código:
    # systemctl start apache2
    Ve a la ruta:
    Código:
    /srv/www/htdocs/
    Y crea un archivo llamado index.html con algún texto sencillo, quizás un Hola mundo:

    Código:
    <html><body><h1>Hola mundo</h1></body></html>
    Lo guardas, y en un navegador vas a la IP de tu servidor (ya sea una máquina local o una conectada via ssh) por ejemplo, en el caso que sea una máquina local:

    Código:
    http://192.168.1.35
    (35 o la IP que tenga tu máquina)

    Y deberías ver tu "Hola mundo"

    Exactamente qué quieres hacer, cómo lo haces y qué problemas encuentras.

    Otra cosa es que quizás tengas que habilitar el cortafuegos, u otras configuraciones...

    Saludos.
    Guía básica de openSUSE Leap para recién llegados a GNU/Linux.
    → Mi blog sobre openSUSE, GNU/Linux, software libre ...y de todo un poco: Victorhck in the free world
    → Me puedes seguir en: Mastodon - diaspora* - PixelFed

  5. #5
    Fecha de Ingreso
    18-abril-2018
    Mensajes
    5
    Post Thanks / Like
    Poder de Credibilidad
    0
    Gracias victorhck:

    Hice exactamente lo que me sugeriste, pero esta vez con OpenSuse LEAP 42.3 y sucedió lo mismo.

    Parece ser que es un problema de versiones en los archivos .conf, ya que si te das cuenta (mirar la imagen) existen errores de sintaxis al procesar estos archivos (el comando order por ejemplo).

    Gracias por tu colaboracion...

  6. #6
    Fecha de Ingreso
    08-abril-2010
    Ubicación
    /HOME
    Mensajes
    3.817
    Post Thanks / Like
    Poder de Credibilidad
    15
    parece un problema con Nagios.
    Un servidor Apache no necesita Nagios necesariamente.

    Revisa la línea 15 del archivo de la ruta que te muestra para ver si te da más pistas. Si no has instalado Nagios y no lo necesitas desinstálalo via zypper o yast...

    Saludos.
    Guía básica de openSUSE Leap para recién llegados a GNU/Linux.
    → Mi blog sobre openSUSE, GNU/Linux, software libre ...y de todo un poco: Victorhck in the free world
    → Me puedes seguir en: Mastodon - diaspora* - PixelFed

  7. #7
    Fecha de Ingreso
    18-abril-2018
    Mensajes
    5
    Post Thanks / Like
    Poder de Credibilidad
    0
    Gracias victorhck!!!!

    Funciono perfecto. Primero me cerciore de que la eliminación de este paquete no fuera afectar la funcionalidad de LAMP.

    Efectivamente NAGIOS es un paquete para monitoreo eficiente de las distribuciones y se puede prescindir de ella.

    Otra solución es (para no desinstalar la herramienta)... y la probé,... es comentariar las lineas que contengan las frases "ORDER" y "ALLOW" (son cuatro no mas), que son las ordenes que en estas versiones de Suse no son compatibles con las anteriores versiones.

    Gracias de nuevo, llevaba mucho tiempo con este problema y estoy seguro que esta situación es de común ocurrencia en muchas instalaciones y va a servir de aporte para su solución.

  8. #8
    Fecha de Ingreso
    08-abril-2010
    Ubicación
    /HOME
    Mensajes
    3.817
    Post Thanks / Like
    Poder de Credibilidad
    15
    Me alegro si te funcionó.

    ¿Quizás el problema era que instalabas Apache mediante un patrón? Quizás como paquete recomendado añadía Nagios.
    Quizás debas ponerlo como tabú para que no intente instalarlo en una nueva actualización...

    Saludos.
    Guía básica de openSUSE Leap para recién llegados a GNU/Linux.
    → Mi blog sobre openSUSE, GNU/Linux, software libre ...y de todo un poco: Victorhck in the free world
    → Me puedes seguir en: Mastodon - diaspora* - PixelFed

  9. #9
    Fecha de Ingreso
    18-abril-2018
    Mensajes
    5
    Post Thanks / Like
    Poder de Credibilidad
    0
    Así fue y muchas gracias

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Temas Similares

  1. Opensuse 42.1 leap no actualiza
    By karlitozebc in forum Instalación y Actualizaciones
    Respuestas: 6
    Último mensaje: 24-dic-2015, 15:01
  2. Problema al instalar software en OpenSuse 42.1
    By ivanGarcia in forum Instalación y Actualizaciones
    Respuestas: 3
    Último mensaje: 17-nov-2015, 17:55
  3. Actualización de seguridad
    By el_nuberu in forum General OpenSUSE
    Respuestas: 5
    Último mensaje: 22-sep-2015, 18:19
  4. Yast2 da error al arrancar
    By Susefan1 in forum Software
    Respuestas: 10
    Último mensaje: 01-dic-2014, 16:32
  5. KDEInit no pudo lanzar «/usr/bin/xdg-su».
    By jes_sus50 in forum Escritorios: KDE, Gnome, otros...
    Respuestas: 14
    Último mensaje: 02-dic-2012, 12:02

Marcadores

Normas de Publicación

  • No puedes crear nuevos temas
  • No puedes responder mensajes
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •